# NM_DDM_Modify_Region Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_DDM_Modify_Region:

[legend]

List of all members.

## Public Types
typedef NM_DDM_Base | Super
## Public Member Functions
| NM_DDM_Modify_Region ()
virtual | ~NM_DDM_Modify_Region ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
const int32_t | getRegion () const
void | setRegion (SpaceHandle newRegion)

## Detailed Description

Definition at line 1346 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NM_DDM_Base Super

Reimplemented from NM_DDM_Base.

Definition at line 1348 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_DDM_Modify_Region | ( |  | ) |

Definition at line 1554 of file NM_Classes.cc.

References NetworkMessage::DDM_MODIFY_REGION, NetworkMessage::name, and NetworkMessage::type.

~NM_DDM_Modify_Region | ( |  | ) | `[virtual]`

Definition at line 1559 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Implements NM_DDM_Base.

Definition at line 1561 of file NM_Classes.cc.

References BasicMessage::serialize(), and NetworkMessage::serialize().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Implements NM_DDM_Base.

Definition at line 1567 of file NM_Classes.cc.

References BasicMessage::deserialize(), and NetworkMessage::deserialize().

Here is the call graph for this function:

const int32_t getRegion | ( |  | ) | const`[inline]`

Reimplemented from NM_DDM_Base.

Definition at line 1354 of file NM_Classes.hh.

void setRegion | ( | SpaceHandle | newRegion | ) | `[inline]`

Definition at line 1355 of file NM_Classes.hh.

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc